Summary: An implementation of the RFC1413 identification server.
Name: oidentd
Version: 1.7.1
Release: 2
Copyright: GPL
Group: System Environment/Daemons
Source0: http://download.sourceforge.net/ojnk/oidentd-%{version}.tar.gz
Source1: identd.init
Source2: identd.spoof
Source3: oidentd.users
Provides: identd = %{version}
Prereq: /sbin/chkconfig /etc/init.d /sbin/service
BuildRoot: %{_tmppath}/%{name}-root
Conflicts: pidentd

%description
The oidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

Install oidentd if you need to look up information about specific
TCP/IP connections.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/identd
install -D -m 640 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/identd.spoof
install -D -m 640 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/oidentd.users

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add identd

%preun
if [ $1 = 0 ]; then
    /sbin/service identd stop > /dev/null 2>&1
    /sbin/chkconfig --del identd
fi

%postun
if [ "$1" -ge "1" ]; then
    /sbin/service identd condrestart > /dev/null 2>&1
fi

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README rfc1413 THANKS TODO
%{_sbindir}/oidentd
%attr(0640, -, nobody) %config(noreplace) %{_sysconfdir}/identd.spoof
%attr(0640, -, nobody) %config(noreplace) %{_sysconfdir}/oidentd.users
%attr(0755, -, -) %config /etc/rc.d/init.d/identd
%{_mandir}/man8/*identd.8*

%changelog
* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added a Conflicts: for pidentd
- Quick cleanup
- Fixed o-r modes
- Changed the uid/gid in the initscript

* Wed Dec 27 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

